-- Schema: C6StagingPeriodico
-- Stored Procedure: RP_ST_MappaturaPT


CREATE procedure [C6StagingPeriodico].[RP_ST_MappaturaPT] as  
  
begin   
  
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_ST_MappaturaPT',  
  GETDATE(),  
  'Elaborazione Trimestrale'  
 )  
  
 truncate table C6StagingPeriodico.RP_MappaturaPT  
  
 insert into C6StagingPeriodico.RP_MappaturaPT  
 --select * into C6StagingPeriodico.RP_MappaturaPT from [CONSEVO].[consulenzaUnica].dbo.MappaturaPT  
 select * from [CONSUNI_PERIODICO].[consulenzaUnica].dbo.MappaturaPT  
   
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_ST_MappaturaPT' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO  
   WHERE  
    Nome = 'RP_ST_MappaturaPT'  
  )  
   
end  
  


